{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('account_user/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('account_user/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('account_user_base_data') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5">Stammdaten-Verwaltung</span>
        {{ form_widget(deleteForm.delete, {'label': 'LÖSCHEN', 'id': deleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Ihr Account und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um Ihren Account endgültig zu löschen, müssen Sie zuerst Ihr Kennwort eingeben:
            </p>
            {{ form_start(deleteForm, {'attr': {'id': deleteForm.vars.id ~ '_form'}}) }}
            {% include 'account_user/form/delete_form.html.twig' with {'form': deleteForm} only %}
            {{ form_row(deleteForm._token) }}
            {{ form_end(deleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card px-4 py-3 mb-4">
            {% include 'account_user/form/base_data_form.html.twig' with {'form': baseDataForm} only %}
        </div>
    </div>
{% endblock %}
